# app.image.query

Query all docker images with query-filters and query-options.

query-options.extra.parse_tags is a boolean which when set will have normalized tags to be retrieved.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: filters

#### filters

Type: array Default: []
No Additional Items

##### Each item of this array must be:

Type: object

##### Parameter 2: options

#### options

Type: object
Default:
{ "relationships": true, "extend": null, "extend_context": null, "prefix": null, "extra": {}, "order_by": [], "select": [], "count": false, "get": false, "offset": 0, "limit": 0, "force_sql_filters": false }
No Additional Properties

##

#### Relationships

Type: boolean Default: true

##

#### Extend

Default: null

## Any of

Type: string
Type: null

##

#### Extend Context

Default: null

## Any of

Type: string
Type: null

##

#### Prefix

Default: null

## Any of

Type: string
Type: null

##

#### Extra

Type: object Default: {}

##

#### Order By

Type: array of string Default: []
No Additional Items

##### Each item of this array must be:

Type: string

##

#### Select

Type: array Default: []
No Additional Items

##### Each item of this array must be:

## Any of

Type: string
Type: array
No Additional Items

##### Each item of this array must be:

Type: object

##

#### Count

Type: boolean Default: false

##

#### Get

Type: boolean Default: false

##

#### Offset

Type: integer Default: 0

##

#### Limit

Type: integer Default: 0

##

#### Force Sql Filters

Type: boolean Default: false

##

#### Result

## Any of

Type: array of object
No Additional Items

##### Each item of this array must be:

#### AppImageQueryResultItem

Type: object
No Additional Properties

##

#### Id

Type: string

Must be at least `1` characters long

##

#### Repo Tags

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string

##

#### Repo Digests

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string

##

#### Size

Type: integer

##

#### Dangling

Type: boolean

##

#### Update Available

Type: boolean

##

#### Created

Type: string

##

#### Author

Type: string

##

#### Comment

Type: string

##

#### Parsed Repo Tags

## Any of

Type: array of object
No Additional Items

##### Each item of this array must be:

#### AppImageParsedRepoTags

Type: object
No Additional Properties

##

#### Reference

Type: string

##

#### Image

Type: string

##

#### Tag

Type: string

##

#### Registry

Type: string

##

#### Complete Tag

Type: string

##

#### Reference Is Digest

Type: boolean
Type: null

#### AppImageQueryResultItem

Type: object
No Additional Properties

##

#### Id

Type: string

Must be at least `1` characters long

##

#### Repo Tags

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string

##

#### Repo Digests

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string

##

#### Size

Type: integer

##

#### Dangling

Type: boolean

##

#### Update Available

Type: boolean

##

#### Created

Type: string

##

#### Author

Type: string

##

#### Comment

Type: string

##

#### Parsed Repo Tags

## Any of

Type: array
No Additional Items

##### Each item of this array must be:

Type: object
Type: null
Type: integer

Required roles: APPS_READ